<?

// Ces variable permettent de changer l'emplacement du rpertoire /explorateur dans le cas (ou non) d'une
// utilisation multiutilisateurs de PhpMonExplorateur
// These variables allow you to change the /explorateur directory path for using or not of PhpMonExplorateur
// in multiuser mode.

// Nom de l'utilisateur / User name
$utilisateur = ""; // pas d'utilisateur par dfaut / no user by default
// $utilisateur = "/elegac"; // par exemple pour une utilisation multiutilisateur / for example for a multiuser using.

// Chemin des fichiers (explorateur.php, copier.php et deplacer.php) au rpertoire /explorateur
// Path from files (explorateur.php, copier.php and deplacer.php) to directort /explorateur
$cheminfilestorep = "./explorateur";  // dfaut / default 
// $cheminfilestorep = "../explorateur"; // par exemple pour une utilisation multiutilisateur / for example for a multiuser using.

// Chemin du rpertoire /explorateur par rapport aux fichiers (explorateur.php, copier.php et deplacer.php)
// Path from directory /explorateur to files (explorateur.php, copier.php and deplacer.php)
$cheminreptofiles = ".."; // dfaut / default
// $cheminreptofiles = "..$utilisateur"; // par exemple pour une utilisation multiutilisateur / for example for a multiuser using.
		


?>

<HTML>
<HEAD> <? require("$cheminfilestorep/config.inc.php"); ?>
<TITLE><? echo $strExplorateurTitre; ?></TITLE>
<STYLE TYPE="text/css">
	<!--
	a:link,a:visited { text-decoration:none;color:<? echo $strColorVisited ?>; }
	a:hover,a:active { text-decoration:none;color:<? echo $strColorActive ?>; }
	//-->
</STYLE>
<SCRIPT LANGUAGE="javaScript" src="<? echo $cheminfilestorep; ?>/fonctions.js"></SCRIPT>
</HEAD>
<BODY BGCOLOR="<? echo $strColorFond ?>">

<?

require("$cheminfilestorep/fonctions.inc.php");
$strTitre = $strExplorateurTitre;
include "$cheminfilestorep/entete.inc.php";

// ------------------------------ Initialisation des variables ----------------------------------------------- //

if(empty($action)) $action = 1; else if(($action < 1) || ($action > 9)) $action = 1;
if(empty($action)) $tri = 1;    else if(($tri < 1) || ($tri > 3)) $tri = 1;

if(!empty($newfichier)) $newfichier = stripslashes($newfichier);
if(!empty($chemin))     $chemin     = stripslashes($chemin); else $chemin = ".";
if(!empty($fichier))    $fichier    = stripslashes($fichier);
if(!empty($place))      $place      = stripslashes($place);
if(!empty($rep))        $rep        = stripslashes($rep);


// ----------------------------------- Gestion des actions -------------------------------------------------- //

switch($action)
{

//  --------------------------------------- Cas gnral ------------------------------------------------------  //

        case 1 : if(strlen($rep))
				 {
					if($rep == "..") $chemin = ModifChemin($chemin);
					else $chemin = "$chemin/$rep";
				 }
                 break;

//  ------------------------------------ Supprimer un fichier -----------------------------------------------  //

        case 2 : if(unlink("$chemin/$fichier")) Message("$strExplorateurFichier<B>$fichier</B>$strExplorateurMsgSupprimer");
				 else Message("$strExplorateurErreur");
				 break;

//  ----------------------------------- Supprimer un rpertoire ---------------------------------------------  //

        case 5 : if(rmdir("$chemin/$rep")) Message("$strExplorateurRepertoire<B>$rep</B>$strExplorateurMsgSupprimer");
				 else Message("$strExplorateurErreur");
				 break;

//  ------------------------------- Supprimer un rpertoire non-vide ----------------------------------------  //

        case 8 : if($valid == "$strConfirmer")
				 {
					EffacerRepertopireRecursif("$chemin/$fichier");
					Message("$strExplorateurRepertoire<B>$fichier</B>$strExplorateurMsgSupprimer");
				 }
				 break;

//  ------------------------------- Renomer un fichier ou rpertoire ----------------------------------------  //


        case 3 : if($valid == "$strRenomer")
				 {
					if(file_exists("$chemin/$newfichier")) Message("$strExplorateurFichier<B>$newfichier</B>$strExplorateurAlertDeja");
					else if(rename("$chemin/$fichier","$chemin/$newfichier")) Message("$strExplorateurFichier<B>$fichier</B>$strExplorateurMsgRenomer<B>$newfichier</B>");
							 else Message("$strExplorateurErreur");
				 }
                 break;

//  --------------------------------------- Crer un rpertoire ---------------------------------------------  //

        case 4 : if($valid == "$strCreerRep")
				 {
					if(file_exists("$chemin/$rep")) Message("$strExplorateurRepertoire<B>$rep</B>$strExplorateurAlertDeja");
					else if(mkdir("$chemin/$rep", 0777)) Message("$strExplorateurRepertoire<B>$rep</B>$strExplorateurMsgCreerRep");
							 else Message("$strExplorateurErreur");
				 }
				 break;

//  -------------------------------------- Tlcharger un fichier ------------------------------------------  //

    case 6 : if($valid == "$strTelecharger")
			 {
				if(copy("$fichier","$chemin/$fichier_name"))
						Message("$strExplorateurFichier<B>$fichier_name</B>$strExplorateurTelechargerSize<B>$fichier_size</B>$strExplorateurMsgTelecharger");
				else Message("$strExplorateurErreur");
			 }
			 break;

// -------------------------------------- Dplacer un fichier ----------------------------------------------  //

    case 7 : if($valid == "$strDeplacer")
			 {
					if("$chemin/$fichier" != "$place/$fichier")
					{
						if(copy("$chemin/$fichier","$place/$fichier"))
						{
							if(unlink("$chemin/$fichier")) Message("$strExplorateurFichier<B>$chemin/$fichier</B>$strExplorateurMsgDeplacer<B>$place/$fichier</B>");
							else Message("$strExplorateurErreur");
						}
						else Message("$strExplorateurErreur");
					}
					else Message("$strExplorateurAlertSD");
			 }
			 break;

//  --------------------------------------- Copier un fichier ----------------------------------------------  //

        case 9 : if($valid == "$strCopier")
				 {
					for($i=0;$i<$NbRepTotal;$i++)
					{
						if($choix[$i] == "on")
						{							
							if("$chemin/$fichier" != "$emplacement[$i]/$fichier")
							{
								if(copy("$chemin/$fichier","$emplacement[$i]/$fichier")) Message("$strExplorateurFichier<B>$chemin/$fichier</B>$strExplorateurMsgCopier<B>$emplacement[$i]/$fichier</B>");
								else Message("$strExplorateurErreur");
							}
							else Message("$strExplorateurAlertSD");
						}
					}
				 }
				 break;
}

// ------------------------------- Rcupration des fichiers et rpertoires ------------------------------ //

$handle  = @opendir($chemin);
$file    = @readdir($handle);      // repertoire .
$file    = @readdir($handle);      // repertoire ..
$repind  = 0;
$fileind = 0;

while ($file = @readdir($handle))
{
        if(is_dir("$chemin/$file"))
        {
			if($cheminfilestorep == "$chemin/$file") if($VoirRep == 1) $ajout = 1; else $ajout = 0;	else $ajout = 1;  
			if($ajout)
			{
				$reptab[$repind]["nom"] = $file;
				$reptab[$repind]["taille"] = filesize("$chemin/$file");
				$reptab[$repind]["date"]= GetDateStr(filemtime("$chemin/$file"));
				$reptab[$repind]["datetri"] = FormatDate(filemtime("$chemin/$file"));
				$reptab[$repind]["permissions"] = FormatePermissions(fileperms("$chemin/$file"));
				$repind++;
			}
        }
        else
        {
			if(("$chemin/$file" == "./explorateur.php") || ("$chemin/$file" == "./copier.php") || ("$chemin/$file" == "./deplacer.php"))
				if($VoirFichiers == 1) $ajout = 1; else $ajout = 0;	
			else $ajout = 1; 

			if($ajout)
			{
				$filetab[$fileind]["nom"] = $file;
				$filetab[$fileind]["taille"] = filesize("$chemin/$file");
				$filetab[$fileind]["date"]= GetDateStr(filemtime("$chemin/$file"));
				$filetab[$fileind]["datetri"]= FormatDate(filemtime("$chemin/$file"));
				$filetab[$fileind]["permissions"] = FormatePermissions(fileperms("$chemin/$file"));
				$fileind++;
			}
        }
}

@closedir($handle);

// --------------------------------------- Gestion des tris -------------------------------------------- //

switch($tri)
{
                // Tri par nom

                case 1 : if(count($reptab))  usort($reptab,TriNom);
                                 if(count($filetab)) usort($filetab,TriNom);
                                 break;

                // Tri par taille

                case 2 : if(count($reptab))  usort($reptab,TriTaille);
                                 if(count($filetab)) usort($filetab,TriTaille);
                                 break;

                // Tri par date

        case 3 : if(count($reptab))  usort($reptab,TriDate);
                                 if(count($filetab)) usort($filetab,TriDate);
                                 break;
}

$cheminencode = rawurlencode($chemin);

// --------------------------------------- Cration du tableau -------------------------------------- //
?>

<TABLE BORDER="0" WIDTH="100%">
<TR>
<TD WIDTH="15%" VALIGN="top" ALIGN="left">

<? 
if($VoirHeure == "1")
{ 
	?>
	<CENTER>
	<TABLE BORDER="1" CELLSPACING="0" CELLPADDING="0">
	<TR>
		<TD>
		<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="0">
		<TR>
			<TD WIDTH="14" HEIGHT="19"><IMG NAME="DH" WIDTH="14" HEIGHT="19"></TD>
			<TD WIDTH="14" HEIGHT="19"><IMG NAME="UH" WIDTH="14" HEIGHT="19"></TD>
			<TD WIDTH="6"  HEIGHT="19"><IMG SRC="<? echo $cheminfilestorep; ?>/images/deuxpts.gif" WIDTH="6" HEIGHT="19"></TD>
			<TD WIDTH="14" HEIGHT="19"><IMG NAME="DM" WIDTH="14" HEIGHT="19"></TD>
			<TD WIDTH="14" HEIGHT="19"><IMG NAME="UM" WIDTH="14" HEIGHT="19"></TD>
			<TD WIDTH="6"  HEIGHT="19"><IMG SRC="<? echo $cheminfilestorep; ?>/images/deuxpts.gif" WIDTH="6" HEIGHT="19"></TD>
			<TD WIDTH="14" HEIGHT="19"><IMG NAME="DS" WIDTH="14" HEIGHT="19"></TD>
			<TD WIDTH="14" HEIGHT="19"><IMG NAME="US" WIDTH="14" HEIGHT="19"></TD>
		</TR>
		</TABLE>
		</TD>
	</TR>
	</TABLE>
	<SCRIPT LANGUAGE = "javaScript"> Getheure("<? echo $cheminfilestorep; ?>"); </SCRIPT>
	</CENTER><BR>
	<?
}
?>

<B><FONT FACE="Verdana,Helvetica" SIZE="-3">
<A HREF="./explorateur.php?action=1&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>"><? echo $strExplorateurRafraichir; ?></A><BR>
<A HREF="<? echo $cheminfilestorep; ?>/creerrepertoire.php?chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>&cheminreptofiles=<? echo $cheminreptofiles; ?>&utilisateur=<? echo $utilisateur; ?>"><? echo $strExplorateurCreerRep; ?></A><BR>
<A HREF="<? echo $cheminfilestorep; ?>/telecharger.php?chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>&cheminreptofiles=<? echo $cheminreptofiles; ?>&utilisateur=<? echo $utilisateur; ?>"><? echo $strExplorateurTelecharger; ?></A><P>
<? if($VoirLienRetour == "1") { ?><A HREF="<? echo $strCheminRetour; ?>"><? echo $strExplorateurRetourSite; ?></A><BR></FONT></B><? } ?>
</TD>

<? $CheminDecompose = DecomposerChemin($chemin,$action,$tri); ?>
<TD ALIGN="left"><H3><FONT COLOR="<? echo $strColorTexte; ?>"><? echo "$strExplorateurChemin $CheminDecompose"; ?></FONT></H3>

<CENTER><TABLE BORDER="0" CELLPADDING="4" CELLSPACING="2">
<TR>
	<TD></TD>
	<TD ALIGN="center"><A HREF="./explorateur.php?action=1&chemin=<? echo $cheminencode; ?>&tri=1"><? echo $strExplorateurNom; ?></A></TD>
	<TD ALIGN="center"><A HREF="./explorateur.php?action=1&chemin=<? echo $cheminencode; ?>&tri=2"><? echo $strExplorateurTaille; ?></A></TD>
	<TD ALIGN="center"><A HREF="./explorateur.php?action=1&chemin=<? echo $cheminencode; ?>&tri=3"><? echo $strExplorateurDate; ?></A></TD>
	<TD ALIGN="center"><FONT FACE="new courier" SIZE="2" COLOR="<? echo $strColorTexte; ?>"><? echo $strExplorateurPermissions; ?></FONT></TD>
	<TD ALIGN="center" COLSPAN="4"><FONT FACE="new courier" SIZE="2" COLOR="<? echo $strColorTexte; ?>"><? echo $strExplorateurActions; ?></FONT></TD></TR>
<TR><TD COLSPAN="9"><HR NOSHADE></TD></TR>

<? $fichier = '..';

if($chemin != ".")
{
        ?>
        <TR>
			<TD>
				 <A HREF="./explorateur.php?rep=<? echo $fichier ?>&action=1&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>">
				 <IMG SRC="<? echo $cheminfilestorep; ?>/images/back.gif" BORDER="0"></A>
			</TD>                    
			<TD><A HREF="./explorateur.php?rep=<? echo $fichier ?>&action=1&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>">..</A></TD>
		</TR>
        <?
}

// -------------------------------------- Affichage des rpertoires --------------------------------------- //

for($i=0;$i<$repind;$i++)
{
        $nomrep = $reptab[$i]["nom"];
                $repencode = rawurlencode($nomrep);

                ?>
                <TR>
					<TD ALIGN="center">
					   <A HREF="./explorateur.php?rep=<? echo $repencode; ?>&action=1&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>">
					   <IMG SRC="<? echo $cheminfilestorep; ?>/images/dir.gif" BORDER="0"></A>
					</TD>
					<TD ALIGN="left"  ><FONT FACE="new courier" SIZE="2" COLOR="<? echo $strColorTexte; ?>"><A HREF="./explorateur.php?rep=<? echo $repencode; ?>&action=1&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>"><? echo $nomrep; ?></A></FONT></TD>
					<TD ALIGN="right" ><FONT FACE="new courier" SIZE="2" COLOR="<? echo $strColorTexte; ?>"><? echo $reptab[$i]["taille"];      ?></FONT></TD>
					<TD ALIGN="right" ><FONT FACE="new courier" SIZE="2" COLOR="<? echo $strColorTexte; ?>"><? echo $reptab[$i]["date"];        ?></FONT></TD>
					<TD ALIGN="center"><FONT FACE="new courier" SIZE="2" COLOR="<? echo $strColorTexte; ?>"><? echo $reptab[$i]["permissions"]; ?></FONT></TD>

					<?
						if(EstVide("$chemin/$nomrep"))
						{ ?> <TD ALIGN="center"><FONT FACE="new courier" SIZE="2"><A HREF="./explorateur.php?rep=<? echo $repencode; ?>&action=5&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>&cheminreptofiles=<? echo $cheminreptofiles; ?>&utilisateur=<? echo $utilisateur; ?>"><? echo $strExplorateurEffacer; ?></A></FONT></TD> <?php }
						else { ?> <TD ALIGN="center"><FONT FACE="new courier" SIZE="2"><A HREF="<? echo $cheminfilestorep; ?>/confirmer.php?fichier=<? echo $repencode; ?>&action=8&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>&cheminreptofiles=<? echo $cheminreptofiles; ?>&utilisateur=<? echo $utilisateur; ?>"><? echo $strExplorateurEffacer; ?></A></FONT></TD> <? } 
					?>

					<TD ALIGN="center"><FONT FACE="new courier" SIZE="2"><A HREF="<? echo $cheminfilestorep; ?>/renomer.php?fichier=<? echo $repencode; ?>&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>&cheminreptofiles=<? echo $cheminreptofiles; ?>&utilisateur=<? echo $utilisateur; ?>"><? echo $strExplorateurRenomer; ?></A></FONT></TD>
                 </TR>
                <?php
}

// --------------------------------------- Affichage des fichiers ----------------------------------------- //

for($i=0;$i<$fileind;$i++)
{
        $nomfic = $filetab[$i]["nom"];
		$ficencode = rawurlencode($nomfic);
		$ext = GetExtension($nomfic);
		$ext = strtolower($ext);
		$icone = GetIcone($ext);

		?>
		<TR>
			<TD ALIGN="center"><IMG  SRC ="<? echo $cheminfilestorep; ?>/images/<? echo $icone ?>"></FONT></TD>
			<TD ALIGN="left"  ><FONT FACE="new courier" SIZE="2" COLOR="<? echo $strColorTexte; ?>"><? echo $nomfic; ?></FONT></TD>
			<TD ALIGN="right" ><FONT FACE="new courier" SIZE="2" COLOR="<? echo $strColorTexte; ?>"><? echo $filetab[$i]["taille"]; ?></FONT></TD>
			<TD ALIGN="right" ><FONT FACE="new courier" SIZE="2" COLOR="<? echo $strColorTexte; ?>"><? echo $filetab[$i]["date"]; ?></FONT></TD>
			<TD ALIGN="center"><FONT FACE="new courier" SIZE="2" COLOR="<? echo $strColorTexte; ?>"><? echo $filetab[$i]["permissions"]; ?></FONT></TD>
			<TD ALIGN="center"><FONT FACE="new courier" SIZE="2"><A HREF="./explorateur.php?fichier=<? echo $ficencode; ?>&action=2&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>"><? echo $strExplorateurEffacer; ?></A></FONT></TD>
			<TD ALIGN="center"><FONT FACE="new courier" SIZE="2"><A HREF="<? echo $cheminfilestorep; ?>/renomer.php?fichier=<? echo $ficencode; ?>&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>&cheminreptofiles=<? echo $cheminreptofiles; ?>&utilisateur=<? echo $utilisateur; ?>"><? echo $strExplorateurRenomer; ?></A></FONT></TD>
			<TD ALIGN="center"><FONT FACE="new courier" SIZE="2"><A HREF="./deplacer.php?fichier=<? echo $ficencode; ?>&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>&cheminfilestorep=<? echo $cheminfilestorep; ?>&cheminreptofiles=<? echo $cheminreptofiles; ?>&utilisateur=<? echo $utilisateur; ?>"><? echo $strExplorateurDeplacer; ?></A></FONT></TD>
			<TD ALIGN="center"><FONT FACE="new courier" SIZE="2"><A HREF="./copier.php?fichier=<? echo $ficencode; ?>&chemin=<? echo $cheminencode; ?>&tri=<? echo $tri; ?>&cheminfilestorep=<? echo $cheminfilestorep; ?>&cheminreptofiles=<? echo $cheminreptofiles; ?>&utilisateur=<? echo $utilisateur; ?>"><? echo $strExplorateurCopier; ?></A></FONT></TD>
		</TR>
		<?
}
?>

</TABLE></CENTER></TABLE><P>
<? include "$cheminfilestorep/basdepage.inc.php"; ?>
</BODY>
</HTML>